<template>
  <b-navbar toggleable="lg" type="light" variant="light" fixed>
    <b-navbar-brand to="/">Dogs</b-navbar-brand>

    <b-navbar-toggle target="nav-collapse" />

    <b-collapse id="nav-collapse" is-nav>
      <b-navbar-nav class="ml-auto">
        <b-nav-item v-if="path !== '/'" to="/">Home</b-nav-item>
        <b-nav-item to="/all" :disabled="path === '/all'">All Dogs</b-nav-item>
      </b-navbar-nav>
    </b-collapse>
  </b-navbar>
</template>

<script setup>
import { computed, useRoute } from '@nuxtjs/composition-api'

const route = useRoute()
const path = computed(() => route.value.fullPath)
</script>
